[PATCH] Align sv_move.c files

Only very small differences between these files. NQ doesn't even need
quakedef.h, so remove that. Then, guard the unique includes with XX_HACK.

diff -urN a/NQ/sv_move.c head/NQ/sv_move.c
--- a/NQ/sv_move.c	2004-07-25 15:59:55.000000000 +0930
+++ head/NQ/sv_move.c	2006-02-19 08:25:06.000000000 +1030
@@ -19,10 +19,17 @@
 */
 // sv_move.c -- monster movement
 
-#include "quakedef.h"
+#ifdef NQ_HACK
 #include "progs.h"
-#include "world.h"
+#endif
+
+#ifdef QW_HACK
+#include "bspfile.h"
+#include "qwsvdef.h"
+#endif
+
 #include "server.h"
+#include "world.h"
 
 #define	STEPSIZE	18
 
diff -urN a/QW/server/sv_move.c head/QW/server/sv_move.c
--- a/QW/server/sv_move.c	2004-07-25 15:59:58.000000000 +0930
+++ head/QW/server/sv_move.c	2006-02-19 08:25:07.000000000 +1030
@@ -19,8 +19,15 @@
 */
 // sv_move.c -- monster movement
 
+#ifdef NQ_HACK
+#include "progs.h"
+#endif
+
+#ifdef QW_HACK
 #include "bspfile.h"
 #include "qwsvdef.h"
+#endif
+
 #include "server.h"
 #include "world.h"
 
